- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Data Fields
efl::eolian::eo_class Struct Reference

## Public Types
enum | eo_class_type { regular_, regular_noninst_, interface_, mixin_ }

## Data Fields
eo_class_type | type
std::string | name
std::string | eo_name
std::string | parent
extensions_container_type | extensions
constructors_container_type | constructors
functions_container_type | functions
events_container_type | events
std::string | comment
std::string | name_space